Summary: LiveIce plugin for XMMS to stream output to an icecast server.
Name: xmms-liveice
Version: 1.0.0
Release: fr1
Copyright: GPL
Group: Applications/Multimedia
Source: http://star.arm.ac.uk/~spm/software/liveice-xmms.tar.gz
URL: http://star.arm.ac.uk/~spm/software/liveice.html
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmms
BuildPrereq: xmms-devel

%description
LiveIce XMMS is an effects plugin for xmms which sends streams to IceCast
and provides a limited set of functions similar to those provided by liveice
but without half the hassle. LiveIce XMMS lacks many of the features of
the full version of LiveIce but provides the main functions needed to
stream from xmms. Much of this simplicity comes from the GUI which was
designed by Peter from the XMMS team.

%prep
%setup -q -n LiveIce-%{version}

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xmms/Effect/libliveice.so

%changelog
* Mon Apr 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and rebuilt for Red Hat 7.1.

* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed a few things for Red Hat 7.0

* Fri Mar 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-3]
- Rebuilt with a newer source tar.gz, No version number change.

* Sat Feb  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-liveice-1.0.0-2]
- Fixed description. Was majorly wrong.

* Fri Feb  4 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.

  [xmms-liveice-1.0.0-1]
- Fixed memory leak in liveice.c
- Setup the GUI to use the check buttons
- Added data structures for checking conditions
- Changed the restart code to be more intelligent (read long)
- Closes connection when you hit OK or apply 
  I know this is far from Ideal - but it makes it more useful

